Subject: bug#76650: 31.0.50; Add lua-mode to Emacs

From: [email-masked]
Date: Fri, 28 Feb 2025 11:40:18 -0600

I’ve talked with Denis (the current maintainer) about integrating
lua-mode into Emacs and they are in favor of it. If there is
interest on the Emacs side I can send over the list of
contributors for assignment verification. There are about a dozen
authors with contributions over the exempted 15 lines and most of
those I was able to find commits from in emacs.git.

One sticky bit is that the initial commit contains contributions
from unknown authors and I have not audited the code to see what
is left in the current version but can start working on that if
the decision is to include it in Emacs.